Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::replace_if_fn Struct Reference

## Synopsis of methods
constexpr view< replace_if_fn > | replace_if {}

## Public Member Functions
template<typename Rng , typename Pred , typename Val >
auto | operator() (Rng &&rng, Pred pred, Val new_value) const -> replace_if_view< all_t< Rng >, Pred, Val > requires ViewableRange< Rng > &&InputRange< Rng > &&IndirectUnaryPredicate< Pred, iterator_t< Rng >> &&Common< detail::decay_t< unwrap_reference_t< Val const & >>, range_value_t< Rng >> &&CommonReference< unwrap_reference_t< Val const & >, range_reference_t< Rng >> &&CommonReference< unwrap_reference_t< Val const & >, range_rvalue_reference_t< Rng >>